package com.leromro.core.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.Address;

import java.util.List;

/**
 * 受服务地址Service接口
 * 
 * @author ruoyi
 * @date 2025-04-08
 */
public interface AddressService extends IService<Address>
{
    /**
     * 查询受服务地址
     * 
     * @param addressId 受服务地址主键
     * @return 受服务地址
     */
    public Address selectLAddressByAddressId(Long addressId);

    /**
     * 查询受服务地址列表
     * 
     * @param userId 受服务地址
     * @return 受服务地址集合
     */
    public List<Address> selectLAddressList(Long userId);

    /**
     * 新增受服务地址
     * 
     * @param address 受服务地址
     * @return 结果
     */
    public Boolean insertLAddress(Address address);

    /**
     * 修改受服务地址
     * 
     * @param address 受服务地址
     * @return 结果
     */
     Boolean updateLAddress(Address address);

    /**
     * 批量删除受服务地址
     * 
     * @param addressIds 需要删除的受服务地址主键集合
     * @return 结果
     */
     int deleteLAddressByAddressIds(Long[] addressIds);

    /**
     * 删除受服务地址信息
     * 
     * @param addressId 受服务地址主键
     * @return 结果
     */
    public int deleteLAddressByAddressId(Long addressId);
}
